zenilib: TiXmlOutStream Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
TiXmlOutStream Class Reference

`#include <tinystr.h>`

Inherits TiXmlString.

## Public Member Functions

TiXmlOutStream & | operator<< (const TiXmlString &in)
TiXmlOutStream & | operator<< (const char *in)
Public Member Functions inherited from TiXmlString
| TiXmlString ()
| TiXmlString (const TiXmlString &copy)
TIXML_EXPLICIT | TiXmlString (const char *copy)
TIXML_EXPLICIT | TiXmlString (const char *str, size_type len)
| ~TiXmlString ()
TiXmlString & | append (const char *str, size_type len)
TiXmlString & | assign (const char *str, size_type len)
const char & | at (size_type index) const
const char * | c_str () const
size_type | capacity () const
void | clear ()
const char * | data () const
bool | empty () const
size_type | find (char lookup) const
size_type | find (char tofind, size_type offset) const
size_type | length () const
TiXmlString & | operator+= (const char *suffix)
TiXmlString & | operator+= (char single)
TiXmlString & | operator+= (const TiXmlString &suffix)
TiXmlString & | operator= (const char *copy)
TiXmlString & | operator= (const TiXmlString &copy)
char & | operator[] (size_type index) const
void | reserve (size_type cap)
size_type | size () const
void | swap (TiXmlString &other)

## Additional Inherited Members

Public Types inherited from TiXmlString
typedef size_t | size_type
Static Public Attributes inherited from TiXmlString
static const size_type | npos = static_cast< TiXmlString::size_type >(-1)

## Detailed Description

Definition at line 297 of file tinystr.h.

## Member Function Documentation

TiXmlOutStream& TiXmlOutStream::operator<< | ( | const TiXmlString & | in | ) |

inline

Definition at line 302 of file tinystr.h.

TiXmlOutStream& TiXmlOutStream::operator<< | ( | const char * | in | ) |

inline

Definition at line 309 of file tinystr.h.

The documentation for this class was generated from the following file:

- zenilib/jni/external/tinyxml/tinystr.h